<?php
header('Content-type: application/json; charset=utf-8');
header('access-control-allow-origin: *');

include 'config.php';

$mandante=$_GET['mandante'];
$mes=$_GET['mes'];
$agno=$_GET['agno'];

if ($connection)
{
	/* Consulta a ejecutar */
	if($mes == 0) {
			$query = $connection->query("
			SELECT rs.observacion,count(ach.descripcion) as Checklist
			FROM Resultados_Contingencia rc
			JOIN app_Checklist ach ON rc.checklist = ach.id
			JOIN Resultados_Checklist rs ON rs.checklist = rc.checklist 
			WHERE rs.observacion IN 
			(SELECT DISTINCT(Observacion) 
			FROM Resultados_Checklist
			WHERE pregunta = 1
			AND rs.item=0
			AND YEAR(fechahora) = $agno
			AND checklist IN (SELECT checklist from Asignacion_Checklist where mandante = $mandante)) 
			GROUP BY observacion
			");
	} else {
			$query = $connection->query("
			SELECT rs.observacion,count(ach.descripcion) as Checklist
			FROM Resultados_Contingencia rc
			JOIN app_Checklist ach ON rc.checklist = ach.id
			JOIN Resultados_Checklist rs ON rs.checklist = rc.checklist 
			WHERE rs.observacion IN 
			(SELECT DISTINCT(Observacion) 
			FROM Resultados_Checklist
			WHERE pregunta = 1
			AND rs.item=0
			AND YEAR(fechahora) = $agno
			AND MONTH(fechahora) = $mes
			AND checklist IN (SELECT checklist from Asignacion_Checklist where mandante = $mandante)) 
			GROUP BY observacion
			");
	}
	

	/* Dejamos los resultados en un Array */
	while ($row = $query->fetch_assoc()) {
		$rows[] = $row;
	}

	/* Devolvemos los datos encontrados, serializados en JSON */
	echo json_encode($rows);

}
else
{
	echo "Error";
}

?>
