<?php
header('Content-type: application/json; charset=utf-8');
header('access-control-allow-origin: *');

include 'config.php';

/* Obtenemos los Parámetros por URL */
$mandante=$_GET['mandante'];
$planta=$_GET['planta'];
$mes=$_GET['mes'];
$agno=$_GET['agno'];
$checklist=$_GET['checklist'];

if ($connection)
{
	/* Consulta a ejecutar */
	if($planta == NULL) {
		if($mes == 0) {
			$query = sqlsrv_query($connection,"
			SELECT dc.pregunta as Pregunta, COUNT(rco.id) as Cantidad
			FROM Resultados_Checklist rco
			JOIN Detalle_Checklist dc ON dc.id = rco.pregunta
			WHERE rco.mandante = $mandante
			AND rco.checklist = $checklist
			AND YEAR(rco.fechahora) = $agno
			AND respuesta = 'Si'
			GROUP BY dc.pregunta
			ORDER BY Cantidad desc
			LIMIT 12; 
			");
		} else {
			$query = sqlsrv_query($connection,"
			SELECT dc.pregunta as Pregunta, COUNT(rco.id) as Cantidad
			FROM Resultados_Checklist rco
			JOIN Detalle_Checklist dc ON dc.id = rco.pregunta
			WHERE rco.mandante = $mandante
			AND rco.checklist = $checklist
			AND YEAR(rco.fechahora) = $agno
			AND MONTH(rco.fechahora) = $mes
			AND respuesta = 'Si'
			GROUP BY dc.pregunta
			ORDER BY Cantidad desc
			LIMIT 12; 
			");
		}
		
	} else {
		if($mes == 0) {
			$query = sqlsrv_query($connection,"
			SELECT dc.pregunta as Pregunta, COUNT(rco.id) as Cantidad
			FROM Resultados_Checklist rco
			JOIN Detalle_Checklist dc ON dc.id = rco.pregunta
			WHERE rco.mandante = $mandante
			AND rco.planta = $planta
			AND rco.checklist = $checklist
			AND YEAR(rco.fechahora) = $agno
			AND respuesta = 'Si'
			GROUP BY dc.pregunta
			ORDER BY Cantidad desc
			LIMIT 12; 
			");
		} else {
			$query = sqlsrv_query($connection,"
			SELECT dc.pregunta as Pregunta, COUNT(rco.id) as Cantidad
			FROM Resultados_Checklist rco
			JOIN Detalle_Checklist dc ON dc.id = rco.pregunta
			WHERE rco.mandante = $mandante
			AND rco.planta = $planta
			AND rco.checklist = $checklist
			AND YEAR(rco.fechahora) = $agno
			AND MONTH(rco.fechahora) = $mes
			AND respuesta = 'Si'
			GROUP BY dc.pregunta
			ORDER BY Cantidad desc
			LIMIT 12; 
			");
		}
		
	}

	/* Dejamos los resultados en un Array */
	while ($row = sqlsrv_fetch_object($query)) {
		$rows[] = $row;
	}

	/* Devolvemos los datos encontrados, serializados en JSON */
	echo json_encode($rows);
	
}
else
{
	die(print_r(sqlsrv_errors(), true));
}

sqlsrv_free_stmt($query_result);
sqlsrv_close($connection);
?>
