<?php
header('Content-type: application/json; charset=utf-8');
header('access-control-allow-origin: *');

include 'config.php';

/* Obtenemos los Parámetros por URL */
$mandante=$_GET['mandante'];
$planta=$_GET['planta'];
$mes=$_GET['mes'];
$agno=$_GET['agno'];
$checklist=$_GET['checklist'];

if($planta == NULL) {
	if($mes == 0) {
		$tsql = ";With LakeQ(IdT,Cantidad)As(
			  select transportista,Count(1) From Resultados_Checklist
			  Where Year(fechahora)=$agno
			  And respuesta = 'Si'
			  And checklist = $checklist
			  Group By transportista
		)
		Select            b.Transportista,IsNull(a.Cantidad,0) as Cantidad
		From        LakeQ a
		  Right Join App_Transportistas b On a.IdT=b.Id
		Where       b.mandante=$mandante
		ORDER BY b.transportista asc";
	} else {
		$tsql = ";With LakeQ(IdT,Cantidad)As(
			  select transportista,Count(1) From Resultados_Checklist
			  Where Year(fechahora)=$agno
			  And Month(fechahora)=$mes
			  And respuesta = 'Si'
			  And checklist = $checklist
			  Group By transportista
		)
		Select            b.Transportista,IsNull(a.Cantidad,0) as Cantidad
		From        LakeQ a
		  Right Join App_Transportistas b On a.IdT=b.Id
		Where       b.mandante=$mandante
		ORDER BY b.transportista asc";
	}
	
} else {
	if($mes == 0) {
		$tsql = ";With LakeQ(IdT,Cantidad)As(
		  select transportista,Count(1) From Resultados_Checklist
		  Where planta=$planta And Year(fechahora)=$agno
		  And respuesta = 'Si'
		  And checklist = $checklist
		  Group By transportista
	)
	Select            b.Transportista,IsNull(a.Cantidad,0) as Cantidad
	From        LakeQ a
	  Right Join App_Transportistas b On a.IdT=b.Id
	Where       b.mandante=$mandante
	ORDER BY b.transportista asc";
	} else {
		$tsql = ";With LakeQ(IdT,Cantidad)As(
		  select transportista,Count(1) From Resultados_Checklist
		  Where planta=$planta And Year(fechahora)=$agno
		  And Month(fechahora)=$mes
		  And respuesta = 'Si'
		  And checklist = $checklist
		  Group By transportista
	)
	Select            b.Transportista,IsNull(a.Cantidad,0) as Cantidad
	From        LakeQ a
	  Right Join App_Transportistas b On a.IdT=b.Id
	Where       b.mandante=$mandante
	ORDER BY b.transportista asc";
	}
	
	
}

if ($connection)
{
	/* Consulta a ejecutar */
	$query = sqlsrv_query($connection,$tsql);

	/* Dejamos los resultados en un Array */
	while ($row = sqlsrv_fetch_object($query)) {
		$rows[] = $row;
	}

	/* Devolvemos los datos encontrados, serializados en JSON */
	echo json_encode($rows);
	
}
else
{
	die(print_r(sqlsrv_errors(), true));
}

sqlsrv_free_stmt($query_result);
sqlsrv_close($connection);
?>
