<?php
header('Content-type: application/json; charset=utf-8');
header('access-control-allow-origin: *');

include 'config.php';

/* Obtenemos los Parámetros por URL */
$planta=$_GET['planta'];
$mes=$_GET['mes'];
$agno=$_GET['agno'];
$checklist=$_GET['checklist'];

if ($connection)
{
	if($planta!=NULL){
		$query = $connection->query("
			SELECT situacion as transportista, count(situacion) as cantidad
			FROM (SELECT DISTINCT(r.identificador), r.login, r.planta, r.checklist, p.situacion
			FROM Resultados_Checklist r
			JOIN app_PDF p ON r.identificador = p.identificador
			WHERE month(r.fechahora) = $mes
			AND YEAR(r.fechahora) = $agno
			AND checklist = $checklist
			AND planta = $planta
			ORDER BY r.id  DESC) AS Resultados
			GROUP BY situacion
			ORDER by situacion ASC
		");
	} else {
		$query = $connection->query("
			SELECT situacion as transportista, count(situacion) as cantidad
			FROM (SELECT DISTINCT(r.identificador), r.login, r.planta, r.checklist, p.situacion
			FROM Resultados_Checklist r
			JOIN app_PDF p ON r.identificador = p.identificador
			WHERE month(r.fechahora) = $mes
			AND YEAR(r.fechahora) = $agno
			AND checklist = $checklist
			ORDER BY r.id  DESC) AS Resultados
			GROUP BY situacion
			ORDER by situacion ASC
		");
	}

	/* Dejamos los resultados en un Array */
	while ($row = $query->fetch_assoc()) {
		$rows[] = $row;
	}

	/* Devolvemos los datos encontrados, serializados en JSON */
	echo json_encode($rows);

} else {
	echo "Error";
}

?>
