<?php
header('Content-type: application/json; charset=utf-8');
header('access-control-allow-origin: *');

include 'config.php';

$mandante=$_GET['mandante'];
$mes=$_GET['mes'];
$agno=$_GET['agno'];

if ($connection)
{
	/* Consulta a ejecutar */
	$query = sqlsrv_query($connection,"
	SELECT rc.observacion,count(ach.descripcion) as Checklist
	FROM Resultados_Checklist rc 
	JOIN app_Checklist ach ON rc.checklist = ach.id
	WHERE rc.observacion IN 
	(SELECT DISTINCT(Observacion) 
	FROM Resultados_Checklist
	WHERE pregunta = 1
	AND rc.item=0
	AND YEAR(fechahora) = $agno
	AND MONTH(fechahora) = $mes
	AND checklist IN (SELECT checklist from Asignacion_Checklist where mandante = $mandante)) 
	GROUP BY observacion
	");

	/* Dejamos los resultados en un Array */
	while ($row = sqlsrv_fetch_object($query)) {
		$rows[] = $row;
	}


	/* Devolvemos los datos encontrados, serializados en JSON */

	echo json_encode($rows);

}
else
{
	die(print_r(sqlsrv_errors(), true));
}


sqlsrv_free_stmt($query_result);
sqlsrv_close($connection);
?>