<?php
header('Content-type: application/json; charset=utf-8');
header('access-control-allow-origin: *');

include 'config.php';
 
/* Obtenemos los Parámetros por URL */
$mandante=$_GET['mandante'];
$mes=$_GET['mes'];
$agno=$_GET['agno'];
$planta=$_GET['planta'];
$checklist=$_GET['checklist'];

if ($connection)
{
	/* Consulta a ejecutar */
	if($planta == NULL) {
		if($mes == 0) {
			$query = $connection->query("
			SELECT rc.id as Id
				  ,rc.identificador as Checklist
				  ,(CASE WHEN rc.cerrado = 0 THEN 'Abierta' ELSE 'Cerrada' END) as Item
				  ,dc.pregunta as Pregunta
				  ,rc.respuesta as Respuesta
				  ,DATE_ADD(rc.fechahora, INTERVAL +2 HOUR) as Fecha_Ocurrencia
				  ,(CASE WHEN rc.fecha_cierre IS NULL THEN 'Sin Fecha' ELSE rc.fecha_cierre END) as Fecha_Cierre
			FROM Resultados_Checklist rc
			JOIN Detalle_Checklist dc ON rc.pregunta = dc.id
			JOIN Asignacion_Item ai ON rc.item = ai.id
			JOIN app_Checklist ach ON rc.checklist = ach.id
			WHERE dc.mandante = $mandante
			AND year(rc.fechahora) = $agno
			AND rc.respuesta = 'Si'
			AND rc.checklist = $checklist
			ORDER BY Checklist ASC, Fecha_Ocurrencia ASC, rc.cerrado ASC
			");
		} else {
			$query = $connection->query("
			SELECT rc.id as Id
				  ,rc.identificador as Checklist
				  ,(CASE WHEN rc.cerrado = 0 THEN 'Abierta' ELSE 'Cerrada' END) as Item
				  ,dc.pregunta as Pregunta
				  ,rc.respuesta as Respuesta
				  ,DATE_ADD(rc.fechahora, INTERVAL +2 HOUR) as Fecha_Ocurrencia
				  ,(CASE WHEN rc.fecha_cierre IS NULL THEN 'Sin Fecha' ELSE rc.fecha_cierre END) as Fecha_Cierre
			FROM Resultados_Checklist rc
			JOIN Detalle_Checklist dc ON rc.pregunta = dc.id
			JOIN Asignacion_Item ai ON rc.item = ai.id
			JOIN app_Checklist ach ON rc.checklist = ach.id
			WHERE dc.mandante = $mandante
			AND MONTH(rc.fechahora) = $mes AND year(rc.fechahora) = $agno
			AND rc.respuesta = 'Si'
			AND rc.checklist = $checklist
			ORDER BY Checklist ASC, Fecha_Ocurrencia ASC, rc.cerrado ASC
			");
		}
		
	} else {
		if($mes == 0) {
			$query = $connection->query("
			SELECT rc.id as Id
				  ,rc.identificador as Checklist
				  ,(CASE WHEN rc.cerrado = 0 THEN 'Abierta' ELSE 'Cerrada' END) as Item
				  ,dc.pregunta as Pregunta
				  ,rc.respuesta as Respuesta
				  ,DATE_ADD(rc.fechahora, INTERVAL +2 HOUR) as Fecha_Ocurrencia
				  ,(CASE WHEN rc.fecha_cierre IS NULL THEN 'Sin Fecha' ELSE rc.fecha_cierre END) as Fecha_Cierre
			FROM Resultados_Checklist rc
			JOIN Detalle_Checklist dc ON rc.pregunta = dc.id
			JOIN Asignacion_Item ai ON rc.item = ai.id
			JOIN app_Checklist ach ON rc.checklist = ach.id
			WHERE dc.mandante = $mandante
			AND year(rc.fechahora) = $agno
			AND rc.respuesta = 'Si'
			AND rc.checklist = $checklist
			AND rc.planta = $planta
			ORDER BY Checklist ASC, Fecha_Ocurrencia ASC, rc.cerrado ASC
			");
		} else {
			$query = $connection->query("
			SELECT rc.id as Id
				  ,rc.identificador as Checklist
				  ,(CASE WHEN rc.cerrado = 0 THEN 'Abierta' ELSE 'Cerrada' END) as Item
				  ,dc.pregunta as Pregunta
				  ,rc.respuesta as Respuesta
				  ,DATE_ADD(rc.fechahora, INTERVAL +2 HOUR) as Fecha_Ocurrencia
				  ,(CASE WHEN rc.fecha_cierre IS NULL THEN 'Sin Fecha' ELSE rc.fecha_cierre END) as Fecha_Cierre
			FROM Resultados_Checklist rc
			JOIN Detalle_Checklist dc ON rc.pregunta = dc.id
			JOIN Asignacion_Item ai ON rc.item = ai.id
			JOIN app_Checklist ach ON rc.checklist = ach.id
			WHERE dc.mandante = $mandante
			AND MONTH(rc.fechahora) = $mes AND year(rc.fechahora) = $agno
			AND rc.respuesta = 'Si'
			AND rc.checklist = $checklist
			AND rc.planta = $planta
			ORDER BY Checklist ASC, Fecha_Ocurrencia ASC, rc.cerrado ASC
			");
		}
		
	}
	

	/* Dejamos los resultados en un Array */
	while ($row = $query->fetch_assoc()) {
		$rows[] = $row;
	}

	/* Devolvemos los datos encontrados, serializados en JSON */
	echo json_encode($rows);

}
else
{
	echo "Error";
}


?>
