<?php
header('Content-type: application/json; charset=utf-8');
header('access-control-allow-origin: *');

include 'config.php';

/* Obtenemos los Parámetros por URL */
$mandante=$_GET['mandante'];
$planta=$_GET['planta'];
$mes=$_GET['mes'];
$agno=$_GET['agno'];
$checklist=$_GET['checklist'];

if ($connection)
{
	/* Consulta a ejecutar */
	if ($planta == NULL) {
		if($mes == 0) {
			$query = $connection->query("
			SELECT ac.clasificacion AS Clasificacion
			,COUNT(rco.id) AS Cantidad
			FROM Resultados_Checklist rco
			JOIN app_Clasificacion ac ON rco.clasificacion = ac.id
			WHERE rco.mandante = $mandante
			AND rco.checklist = $checklist
			AND YEAR(rco.fechahora) = $agno
			AND respuesta = 'Si'
			GROUP BY ac.clasificacion  
			");
		} else {
			$query = $connection->query("
			SELECT ac.clasificacion AS Clasificacion
			,COUNT(rco.id) AS Cantidad
			FROM Resultados_Checklist rco
			JOIN app_Clasificacion ac ON rco.clasificacion = ac.id
			WHERE rco.mandante = $mandante
			AND rco.checklist = $checklist
			AND YEAR(rco.fechahora) = $agno
			AND MONTH(rco.fechahora) = $mes
			AND respuesta = 'Si'
			GROUP BY ac.clasificacion  
			");
		}
		
	} else {
		if($mes == 0) {
			$query = $connection->query("
			SELECT ac.clasificacion AS Clasificacion
			,COUNT(rco.id) AS Cantidad
			FROM Resultados_Checklist rco
			JOIN app_Clasificacion ac ON rco.clasificacion = ac.id
			WHERE rco.mandante = $mandante
			AND rco.planta = $planta
			AND rco.checklist = $checklist
			AND YEAR(rco.fechahora) = $agno
			AND respuesta = 'Si'
			GROUP BY ac.clasificacion  
			");
		} else {
			$query = $connection->query("
			SELECT ac.clasificacion AS Clasificacion
			,COUNT(rco.id) AS Cantidad
			FROM Resultados_Checklist rco
			JOIN app_Clasificacion ac ON rco.clasificacion = ac.id
			WHERE rco.mandante = $mandante
			AND rco.planta = $planta
			AND rco.checklist = $checklist
			AND YEAR(rco.fechahora) = $agno
			AND MONTH(rco.fechahora) = $mes
			AND respuesta = 'Si'
			GROUP BY ac.clasificacion  
			");
		}
		
	}
	

	/* Dejamos los resultados en un Array */
	while ($row = $query->fetch_assoc()) {
		$rows[] = $row;
	}

	/* Devolvemos los datos encontrados, serializados en JSON */
	echo json_encode($rows);

}
else
{
	echo "Error";
}

?>
