<?php
header('Content-type: application/json; charset=utf-8');
header('access-control-allow-origin: *');

include 'config.php';

/* Obtenemos los Parámetros por URL */
$planta=$_GET['planta'];
$mes=$_GET['mes'];
$agno=$_GET['agno'];
$checklist=$_GET['checklist'];

if ($connection)
{
	if($planta!=NULL){
		$query = $connection->query("
			SELECT dc.pregunta, count(rc.id) as cantidad
			FROM Resultados_Checklist rc
			JOIN Detalle_Checklist dc ON dc.id = rc.pregunta 
			WHERE rc.mandante = 1
			AND rc.item > 0
			AND rc.respuesta = 'Si'
			AND rc.mandante = 1
			AND rc.planta = $planta
			AND rc.checklist = $checklist
			AND MONTH(rc.fechahora) = $mes
			AND YEAR(rc.fechahora) = $agno
			GROUP BY dc.pregunta
			ORDER BY cantidad DESC
			LIMIT 10
		");
	} else {
		$query = $connection->query("
			SELECT dc.pregunta, count(rc.id) as cantidad
			FROM Resultados_Checklist rc
			JOIN Detalle_Checklist dc ON dc.id = rc.pregunta 
			WHERE rc.mandante = 1
			AND rc.item > 0
			AND rc.respuesta = 'Si'
			AND rc.mandante = 1
			AND rc.checklist = $checklist
			AND MONTH(rc.fechahora) = $mes
			AND YEAR(rc.fechahora) = $agno
			GROUP BY dc.pregunta
			ORDER BY cantidad DESC
			LIMIT 10
		");
	}
	

	/* Dejamos los resultados en un Array */
	while ($row = $query->fetch_assoc()) {
		$rows[] = $row;
	}

	/* Devolvemos los datos encontrados, serializados en JSON */
	echo json_encode($rows);

} else {
	echo "Error";
}

?>
