<?php
header('Content-type: application/json; charset=utf-8');
header('access-control-allow-origin: *');

//Librerías para el envío de mail
include_once('PHPMailer/class.phpmailer.php');
include_once('PHPMailer/class.smtp.php');

include 'config.php';

//Recibir todos los parámetros del formulario
$nombre	= $_POST['nombre']; 			//nombre archivo
$nombre = str_replace(' ', '', $nombre);        //Quito los espacios en blanco
$login=$_POST['login'];     			//nombre quien lo realizó
$identificador=$_POST['identificador'];	//codigo identificador
$checklist=utf8_encode($_POST['checklist']);	//codigo identificador
$situacion=$_POST['situacion'];

$archivo = $nombre.".pdf";         		//nombre del PDF 

if(!empty($_POST['pdf'])){
	$data = base64_decode($_POST['pdf']);
	file_put_contents("tmp/".$archivo, $data ); //Guardamos en carpeta tmp con nombre.
}

$estado = $situacion == 1 ? 'CUMPLE' : ($situacion == 0 ? 'NO CUMPLE' : 'NO CUMPLE');

$asunto = "ASETRAN - ".utf8_decode($checklist)." - ".$identificador." - ".$estado; 

$query = $connection->query("
  	SELECT CONCAT(al.email,';',ama.email,atr.email,apl.email) as Email
	FROM app_Login al 
	JOIN Asignacion_Mandante am ON am.login = al.id
	JOIN app_Mandante ama ON ama.id = am.mandante
	JOIN app_Transportistas atr ON atr.mandante = ama.id
    JOIN app_Planta apl ON apl.mandante = ama.id
	WHERE al.id = $login
	AND ama.id = (SELECT rc.mandante FROM Resultados_Checklist rc WHERE rc.login = $login AND rc.identificador = '$identificador' ORDER BY id DESC LIMIT 1)
	AND atr.id = (SELECT rc.transportista FROM Resultados_Checklist rc WHERE rc.login = $login AND rc.identificador = '$identificador' ORDER BY id DESC LIMIT 1)
    AND apl.id = (SELECT rc.planta FROM Resultados_Checklist rc WHERE rc.login = $login AND rc.identificador = '$identificador' ORDER BY id DESC LIMIT 1)
    LIMIT 1
");

while ($row = $query->fetch_assoc()) {
		$rows[] = $row;
	}

$json_string = json_encode($rows);

$someArray = json_decode($json_string, true);

$destinatarios = $someArray[0]["Email"];

$url = 'https://asetran.cl/clients/teck/api/checklist/tmp/'.$archivo;

$mensaje = '
<style type="text/css">
	p.contenido
	{
		font-family: verdana,arial,sans-serif;
		font-size:12px;
		color: #669;
		border-top: 1px solid transparent;
	}
	
	#texto
	{
		font-family: verdana,arial,sans-serif;
		font-size:15px;
		color: #669;
		border-top: 1px solid transparent;
	}

	#pie
	{
		font-family: verdana,arial,sans-serif;
		font-size:10px;
		color: #669;
		border-top: 1px solid transparent;
	}
</style>
<br>
<center>
	<h3 id="texto">Se adjunta documento generado. Descargar <a href="'.$url.'">aqui.</a></h3><br><br>
        <h4 id="pie">
            Importante: Este correo ha sido generado de manera automática, por favor no responda.
            Para consultas escribir a la casilla contacto@asetran.cl
        </h4>
</center>';

$mail = new PHPMailer();
$mail->IsSMTP();
$mail->SMTPAuth = true;
$mail->SMTPSecure = "tls";
$mail->Host = "just2020.justhost.com";
$mail->Port = 587;
$mail->CharSet = 'UTF-8';

$mail->Username = 'alertas@asetran.cl';
$mail->Password = 'Cgss1k991@';

$mail->Subject = $asunto;
$mail->Body = $mensaje;
$mail->MsgHTML($mensaje);
$mail->setFrom('contacto@asetran.cl', 'ASETRAN' );
$mail->AddAddress('csandoval.ing@gmail.com');

$addr = explode(';',$destinatarios);

foreach ($addr as $ad) {
   $mail->AddAddress( trim($ad) );    
}


//Avisar si fue enviado o no y dirigir al index

if($mail->Send())
{
	echo 'Enviado correctamente';
}
else{
	echo 'No enviado';
}

$connection->next_result();

$query2 = $connection->query("
INSERT INTO app_PDF (login,identificador,pdf,fecha,situacion) 
VALUES ($login,'$identificador','/tmp/$archivo',NOW(),$situacion)
");

?>
